# Date offsets

## DateOffset

`DateOffset`([n, normalize]) | Standard kind of date increment used for a date range.

### Properties

`DateOffset.freqstr` |
`DateOffset.kwds` |
`DateOffset.name` |
`DateOffset.nanos` |
`DateOffset.normalize` |
`DateOffset.rule_code` |

### Methods

`DateOffset.apply`(other) |
`DateOffset.copy` |
`DateOffset.isAnchored`() |
`DateOffset.onOffset`(dt) |

## BusinessDay

`BusinessDay`([n, normalize, offset]) | DateOffset subclass representing possibly n business days.

### Properties

`BusinessDay.freqstr` |
`BusinessDay.kwds` |
`BusinessDay.name` |
`BusinessDay.nanos` |
`BusinessDay.normalize` |
`BusinessDay.rule_code` |

### Methods

`BusinessDay.apply`(other) |
`BusinessDay.apply_index` |
`BusinessDay.copy` |
`BusinessDay.isAnchored`() |
`BusinessDay.onOffset`(dt) |

## BusinessHour

`BusinessHour`([n, normalize, start, end, offset]) | DateOffset subclass representing possibly n business hours.

### Properties

`BusinessHour.freqstr` |
`BusinessHour.kwds` |
`BusinessHour.name` |
`BusinessHour.nanos` |
`BusinessHour.normalize` |
`BusinessHour.rule_code` |

### Methods

`BusinessHour.apply`(other) |
`BusinessHour.copy` |
`BusinessHour.isAnchored`() |
`BusinessHour.onOffset`(dt) |

## CustomBusinessDay

`CustomBusinessDay`([n, normalize, weekmask, …]) | DateOffset subclass representing possibly n custom business days, excluding holidays.

### Properties

`CustomBusinessDay.freqstr` |
`CustomBusinessDay.kwds` |
`CustomBusinessDay.name` |
`CustomBusinessDay.nanos` |
`CustomBusinessDay.normalize` |
`CustomBusinessDay.rule_code` |

### Methods

`CustomBusinessDay.apply`(other) |
`CustomBusinessDay.copy` |
`CustomBusinessDay.isAnchored`() |
`CustomBusinessDay.onOffset`(dt) |

## CustomBusinessHour

`CustomBusinessHour`([n, normalize, weekmask, …]) | DateOffset subclass representing possibly n custom business days.

### Properties

`CustomBusinessHour.freqstr` |
`CustomBusinessHour.kwds` |
`CustomBusinessHour.name` |
`CustomBusinessHour.nanos` |
`CustomBusinessHour.normalize` |
`CustomBusinessHour.rule_code` |

### Methods

`CustomBusinessHour.apply`(other) |
`CustomBusinessHour.copy` |
`CustomBusinessHour.isAnchored`() |
`CustomBusinessHour.onOffset`(dt) |

## MonthOffset

`MonthOffset` | Attributes

### Properties

`MonthOffset.freqstr` |
`MonthOffset.kwds` |
`MonthOffset.name` |
`MonthOffset.nanos` |
`MonthOffset.normalize` |
`MonthOffset.rule_code` |

### Methods

`MonthOffset.apply`(other) |
`MonthOffset.apply_index` |
`MonthOffset.copy` |
`MonthOffset.isAnchored`() |
`MonthOffset.onOffset`(dt) |

## MonthEnd

`MonthEnd` | DateOffset of one month end.

### Properties

`MonthEnd.freqstr` |
`MonthEnd.kwds` |
`MonthEnd.name` |
`MonthEnd.nanos` |
`MonthEnd.normalize` |
`MonthEnd.rule_code` |

### Methods

`MonthEnd.apply`(other) |
`MonthEnd.apply_index` |
`MonthEnd.copy` |
`MonthEnd.isAnchored`() |
`MonthEnd.onOffset`(dt) |

## MonthBegin

`MonthBegin` | DateOffset of one month at beginning.

### Properties

`MonthBegin.freqstr` |
`MonthBegin.kwds` |
`MonthBegin.name` |
`MonthBegin.nanos` |
`MonthBegin.normalize` |
`MonthBegin.rule_code` |

### Methods

`MonthBegin.apply`(other) |
`MonthBegin.apply_index` |
`MonthBegin.copy` |
`MonthBegin.isAnchored`() |
`MonthBegin.onOffset`(dt) |

## BusinessMonthEnd

`BusinessMonthEnd` | DateOffset increments between business EOM dates.

### Properties

`BusinessMonthEnd.freqstr` |
`BusinessMonthEnd.kwds` |
`BusinessMonthEnd.name` |
`BusinessMonthEnd.nanos` |
`BusinessMonthEnd.normalize` |
`BusinessMonthEnd.rule_code` |

### Methods

`BusinessMonthEnd.apply`(other) |
`BusinessMonthEnd.apply_index` |
`BusinessMonthEnd.copy` |
`BusinessMonthEnd.isAnchored`() |
`BusinessMonthEnd.onOffset`(dt) |

## BusinessMonthBegin

`BusinessMonthBegin` | DateOffset of one business month at beginning.

### Properties

`BusinessMonthBegin.freqstr` |
`BusinessMonthBegin.kwds` |
`BusinessMonthBegin.name` |
`BusinessMonthBegin.nanos` |
`BusinessMonthBegin.normalize` |
`BusinessMonthBegin.rule_code` |

### Methods

`BusinessMonthBegin.apply`(other) |
`BusinessMonthBegin.apply_index` |
`BusinessMonthBegin.copy` |
`BusinessMonthBegin.isAnchored`() |
`BusinessMonthBegin.onOffset`(dt) |

## CustomBusinessMonthEnd

`CustomBusinessMonthEnd`([n, normalize, …]) | DateOffset subclass representing custom business month(s).

### Properties

`CustomBusinessMonthEnd.freqstr` |
`CustomBusinessMonthEnd.kwds` |
`CustomBusinessMonthEnd.m_offset` |
`CustomBusinessMonthEnd.name` |
`CustomBusinessMonthEnd.nanos` |
`CustomBusinessMonthEnd.normalize` |
`CustomBusinessMonthEnd.rule_code` |

### Methods

`CustomBusinessMonthEnd.apply`(other) |
`CustomBusinessMonthEnd.copy` |
`CustomBusinessMonthEnd.isAnchored`() |
`CustomBusinessMonthEnd.onOffset`(dt) |

## CustomBusinessMonthBegin

`CustomBusinessMonthBegin`([n, normalize, …]) | DateOffset subclass representing custom business month(s).

### Properties

`CustomBusinessMonthBegin.freqstr` |
`CustomBusinessMonthBegin.kwds` |
`CustomBusinessMonthBegin.m_offset` |
`CustomBusinessMonthBegin.name` |
`CustomBusinessMonthBegin.nanos` |
`CustomBusinessMonthBegin.normalize` |
`CustomBusinessMonthBegin.rule_code` |

### Methods

`CustomBusinessMonthBegin.apply`(other) |
`CustomBusinessMonthBegin.copy` |
`CustomBusinessMonthBegin.isAnchored`() |
`CustomBusinessMonthBegin.onOffset`(dt) |

## SemiMonthOffset

`SemiMonthOffset`([n, normalize, day_of_month]) | Attributes

### Properties

`SemiMonthOffset.freqstr` |
`SemiMonthOffset.kwds` |
`SemiMonthOffset.name` |
`SemiMonthOffset.nanos` |
`SemiMonthOffset.normalize` |
`SemiMonthOffset.rule_code` |

### Methods

`SemiMonthOffset.apply`(other) |
`SemiMonthOffset.apply_index` |
`SemiMonthOffset.copy` |
`SemiMonthOffset.isAnchored`() |
`SemiMonthOffset.onOffset`(dt) |

## SemiMonthEnd

`SemiMonthEnd`([n, normalize, day_of_month]) | Two DateOffset’s per month repeating on the last day of the month and day_of_month.

### Properties

`SemiMonthEnd.freqstr` |
`SemiMonthEnd.kwds` |
`SemiMonthEnd.name` |
`SemiMonthEnd.nanos` |
`SemiMonthEnd.normalize` |
`SemiMonthEnd.rule_code` |

### Methods

`SemiMonthEnd.apply`(other) |
`SemiMonthEnd.apply_index` |
`SemiMonthEnd.copy` |
`SemiMonthEnd.isAnchored`() |
`SemiMonthEnd.onOffset`(dt) |

## SemiMonthBegin

`SemiMonthBegin`([n, normalize, day_of_month]) | Two DateOffset’s per month repeating on the first day of the month and day_of_month.

### Properties

`SemiMonthBegin.freqstr` |
`SemiMonthBegin.kwds` |
`SemiMonthBegin.name` |
`SemiMonthBegin.nanos` |
`SemiMonthBegin.normalize` |
`SemiMonthBegin.rule_code` |

### Methods

`SemiMonthBegin.apply`(other) |
`SemiMonthBegin.apply_index` |
`SemiMonthBegin.copy` |
`SemiMonthBegin.isAnchored`() |
`SemiMonthBegin.onOffset`(dt) |

## Week

`Week`([n, normalize, weekday]) | Weekly offset.

### Properties

`Week.freqstr` |
`Week.kwds` |
`Week.name` |
`Week.nanos` |
`Week.normalize` |
`Week.rule_code` |

### Methods

`Week.apply`(other) |
`Week.apply_index` |
`Week.copy` |
`Week.isAnchored`() |
`Week.onOffset`(dt) |

## WeekOfMonth

`WeekOfMonth`([n, normalize, week, weekday]) | Describes monthly dates like “the Tuesday of the 2nd week of each month”.

### Properties

`WeekOfMonth.freqstr` |
`WeekOfMonth.kwds` |
`WeekOfMonth.name` |
`WeekOfMonth.nanos` |
`WeekOfMonth.normalize` |
`WeekOfMonth.rule_code` |

### Methods

`WeekOfMonth.apply`(other) |
`WeekOfMonth.copy` |
`WeekOfMonth.isAnchored`() |
`WeekOfMonth.onOffset`(dt) |

## LastWeekOfMonth

`LastWeekOfMonth`([n, normalize, weekday]) | Describes monthly dates in last week of month like “the last Tuesday of each month”.

### Properties

`LastWeekOfMonth.freqstr` |
`LastWeekOfMonth.kwds` |
`LastWeekOfMonth.name` |
`LastWeekOfMonth.nanos` |
`LastWeekOfMonth.normalize` |
`LastWeekOfMonth.rule_code` |

### Methods

`LastWeekOfMonth.apply`(other) |
`LastWeekOfMonth.copy` |
`LastWeekOfMonth.isAnchored`() |
`LastWeekOfMonth.onOffset`(dt) |

## QuarterOffset

`QuarterOffset`([n, normalize, startingMonth]) | Quarter representation - doesn’t call super.

### Properties

`QuarterOffset.freqstr` |
`QuarterOffset.kwds` |
`QuarterOffset.name` |
`QuarterOffset.nanos` |
`QuarterOffset.normalize` |
`QuarterOffset.rule_code` |

### Methods

`QuarterOffset.apply`(other) |
`QuarterOffset.apply_index` |
`QuarterOffset.copy` |
`QuarterOffset.isAnchored`() |
`QuarterOffset.onOffset`(dt) |

## BQuarterEnd

`BQuarterEnd`([n, normalize, startingMonth]) | DateOffset increments between business Quarter dates.

### Properties

`BQuarterEnd.freqstr` |
`BQuarterEnd.kwds` |
`BQuarterEnd.name` |
`BQuarterEnd.nanos` |
`BQuarterEnd.normalize` |
`BQuarterEnd.rule_code` |

### Methods

`BQuarterEnd.apply`(other) |
`BQuarterEnd.apply_index` |
`BQuarterEnd.copy` |
`BQuarterEnd.isAnchored`() |
`BQuarterEnd.onOffset`(dt) |

## BQuarterBegin

`BQuarterBegin`([n, normalize, startingMonth]) | Attributes

### Properties

`BQuarterBegin.freqstr` |
`BQuarterBegin.kwds` |
`BQuarterBegin.name` |
`BQuarterBegin.nanos` |
`BQuarterBegin.normalize` |
`BQuarterBegin.rule_code` |

### Methods

`BQuarterBegin.apply`(other) |
`BQuarterBegin.apply_index` |
`BQuarterBegin.copy` |
`BQuarterBegin.isAnchored`() |
`BQuarterBegin.onOffset`(dt) |

## QuarterEnd

`QuarterEnd`([n, normalize, startingMonth]) | DateOffset increments between business Quarter dates.

### Properties

`QuarterEnd.freqstr` |
`QuarterEnd.kwds` |
`QuarterEnd.name` |
`QuarterEnd.nanos` |
`QuarterEnd.normalize` |
`QuarterEnd.rule_code` |

### Methods

`QuarterEnd.apply`(other) |
`QuarterEnd.apply_index` |
`QuarterEnd.copy` |
`QuarterEnd.isAnchored`() |
`QuarterEnd.onOffset`(dt) |

## QuarterBegin

`QuarterBegin`([n, normalize, startingMonth]) | Attributes

### Properties

`QuarterBegin.freqstr` |
`QuarterBegin.kwds` |
`QuarterBegin.name` |
`QuarterBegin.nanos` |
`QuarterBegin.normalize` |
`QuarterBegin.rule_code` |

### Methods

`QuarterBegin.apply`(other) |
`QuarterBegin.apply_index` |
`QuarterBegin.copy` |
`QuarterBegin.isAnchored`() |
`QuarterBegin.onOffset`(dt) |

## YearOffset

`YearOffset`([n, normalize, month]) | DateOffset that just needs a month.

### Properties

`YearOffset.freqstr` |
`YearOffset.kwds` |
`YearOffset.name` |
`YearOffset.nanos` |
`YearOffset.normalize` |
`YearOffset.rule_code` |

### Methods

`YearOffset.apply`(other) |
`YearOffset.apply_index` |
`YearOffset.copy` |
`YearOffset.isAnchored`() |
`YearOffset.onOffset`(dt) |

## BYearEnd

`BYearEnd`([n, normalize, month]) | DateOffset increments between business EOM dates.

### Properties

`BYearEnd.freqstr` |
`BYearEnd.kwds` |
`BYearEnd.name` |
`BYearEnd.nanos` |
`BYearEnd.normalize` |
`BYearEnd.rule_code` |

### Methods

`BYearEnd.apply`(other) |
`BYearEnd.apply_index` |
`BYearEnd.copy` |
`BYearEnd.isAnchored`() |
`BYearEnd.onOffset`(dt) |

## BYearBegin

`BYearBegin`([n, normalize, month]) | DateOffset increments between business year begin dates.

### Properties

`BYearBegin.freqstr` |
`BYearBegin.kwds` |
`BYearBegin.name` |
`BYearBegin.nanos` |
`BYearBegin.normalize` |
`BYearBegin.rule_code` |

### Methods

`BYearBegin.apply`(other) |
`BYearBegin.apply_index` |
`BYearBegin.copy` |
`BYearBegin.isAnchored`() |
`BYearBegin.onOffset`(dt) |

## YearEnd

`YearEnd`([n, normalize, month]) | DateOffset increments between calendar year ends.

### Properties

`YearEnd.freqstr` |
`YearEnd.kwds` |
`YearEnd.name` |
`YearEnd.nanos` |
`YearEnd.normalize` |
`YearEnd.rule_code` |

### Methods

`YearEnd.apply`(other) |
`YearEnd.apply_index` |
`YearEnd.copy` |
`YearEnd.isAnchored`() |
`YearEnd.onOffset`(dt) |

## YearBegin

`YearBegin`([n, normalize, month]) | DateOffset increments between calendar year begin dates.

### Properties

`YearBegin.freqstr` |
`YearBegin.kwds` |
`YearBegin.name` |
`YearBegin.nanos` |
`YearBegin.normalize` |
`YearBegin.rule_code` |

### Methods

`YearBegin.apply`(other) |
`YearBegin.apply_index` |
`YearBegin.copy` |
`YearBegin.isAnchored`() |
`YearBegin.onOffset`(dt) |

## FY5253

`FY5253`([n, normalize, weekday, …]) | Describes 52-53 week fiscal year.

### Properties

`FY5253.freqstr` |
`FY5253.kwds` |
`FY5253.name` |
`FY5253.nanos` |
`FY5253.normalize` |
`FY5253.rule_code` |

### Methods

`FY5253.apply`(other) |
`FY5253.copy` |
`FY5253.get_rule_code_suffix`() |
`FY5253.get_year_end`(dt) |
`FY5253.isAnchored`() |
`FY5253.onOffset`(dt) |

## FY5253Quarter

`FY5253Quarter`([n, normalize, weekday, …]) | DateOffset increments between business quarter dates for 52-53 week fiscal year (also known as a 4-4-5 calendar).

### Properties

`FY5253Quarter.freqstr` |
`FY5253Quarter.kwds` |
`FY5253Quarter.name` |
`FY5253Quarter.nanos` |
`FY5253Quarter.normalize` |
`FY5253Quarter.rule_code` |

### Methods

`FY5253Quarter.apply`(other) |
`FY5253Quarter.copy` |
`FY5253Quarter.get_weeks`(dt) |
`FY5253Quarter.isAnchored`() |
`FY5253Quarter.onOffset`(dt) |
`FY5253Quarter.year_has_extra_week`(dt) |

## Easter

`Easter` | DateOffset for the Easter holiday using logic defined in dateutil.

### Properties

`Easter.freqstr` |
`Easter.kwds` |
`Easter.name` |
`Easter.nanos` |
`Easter.normalize` |
`Easter.rule_code` |

### Methods

`Easter.apply`(other) |
`Easter.copy` |
`Easter.isAnchored`() |
`Easter.onOffset`(dt) |

## Tick

`Tick`([n, normalize]) | Attributes

### Properties

`Tick.delta` |
`Tick.freqstr` |
`Tick.kwds` |
`Tick.name` |
`Tick.nanos` |
`Tick.normalize` |
`Tick.rule_code` |

### Methods

`Tick.copy` |
`Tick.isAnchored`() |
`Tick.onOffset`(dt) |

## Day

`Day`([n, normalize]) | Attributes

### Properties

`Day.delta` |
`Day.freqstr` |
`Day.kwds` |
`Day.name` |
`Day.nanos` |
`Day.normalize` |
`Day.rule_code` |

### Methods

`Day.copy` |
`Day.isAnchored`() |
`Day.onOffset`(dt) |

## Hour

`Hour`([n, normalize]) | Attributes

### Properties

`Hour.delta` |
`Hour.freqstr` |
`Hour.kwds` |
`Hour.name` |
`Hour.nanos` |
`Hour.normalize` |
`Hour.rule_code` |

### Methods

`Hour.copy` |
`Hour.isAnchored`() |
`Hour.onOffset`(dt) |

## Minute

`Minute`([n, normalize]) | Attributes

### Properties

`Minute.delta` |
`Minute.freqstr` |
`Minute.kwds` |
`Minute.name` |
`Minute.nanos` |
`Minute.normalize` |
`Minute.rule_code` |

### Methods

`Minute.copy` |
`Minute.isAnchored`() |
`Minute.onOffset`(dt) |

## Second

`Second`([n, normalize]) | Attributes

### Properties

`Second.delta` |
`Second.freqstr` |
`Second.kwds` |
`Second.name` |
`Second.nanos` |
`Second.normalize` |
`Second.rule_code` |

### Methods

`Second.copy` |
`Second.isAnchored`() |
`Second.onOffset`(dt) |

## Milli

`Milli`([n, normalize]) | Attributes

### Properties

`Milli.delta` |
`Milli.freqstr` |
`Milli.kwds` |
`Milli.name` |
`Milli.nanos` |
`Milli.normalize` |
`Milli.rule_code` |

### Methods

`Milli.copy` |
`Milli.isAnchored`() |
`Milli.onOffset`(dt) |

## Micro

`Micro`([n, normalize]) | Attributes

### Properties

`Micro.delta` |
`Micro.freqstr` |
`Micro.kwds` |
`Micro.name` |
`Micro.nanos` |
`Micro.normalize` |
`Micro.rule_code` |

### Methods

`Micro.copy` |
`Micro.isAnchored`() |
`Micro.onOffset`(dt) |

## Nano

`Nano`([n, normalize]) | Attributes

### Properties

`Nano.delta` |
`Nano.freqstr` |
`Nano.kwds` |
`Nano.name` |
`Nano.nanos` |
`Nano.normalize` |
`Nano.rule_code` |

### Methods

`Nano.copy` |
`Nano.isAnchored`() |
`Nano.onOffset`(dt) |

## BDay

`BDay` | alias of `pandas.tseries.offsets.BusinessDay`

### Properties

`BDay.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`BDay.freqstr` |
`BDay.kwds` |
`BDay.name` |
`BDay.nanos` |
`BDay.normalize` |
`BDay.offset` | Alias for self._offset.
`BDay.rule_code` |

### Methods

`BDay.apply`(other) |
`BDay.apply_index` |
`BDay.copy` |
`BDay.isAnchored`() |
`BDay.onOffset`(dt) |
`BDay.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`BDay.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

## BMonthEnd

`BMonthEnd` | alias of `pandas.tseries.offsets.BusinessMonthEnd`

### Properties

`BMonthEnd.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`BMonthEnd.freqstr` |
`BMonthEnd.kwds` |
`BMonthEnd.name` |
`BMonthEnd.nanos` |
`BMonthEnd.normalize` |
`BMonthEnd.rule_code` |

### Methods

`BMonthEnd.apply`(other) |
`BMonthEnd.apply_index` |
`BMonthEnd.copy` |
`BMonthEnd.isAnchored`() |
`BMonthEnd.onOffset`(dt) |
`BMonthEnd.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`BMonthEnd.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

## BMonthBegin

`BMonthBegin` | alias of `pandas.tseries.offsets.BusinessMonthBegin`

### Properties

`BMonthBegin.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`BMonthBegin.freqstr` |
`BMonthBegin.kwds` |
`BMonthBegin.name` |
`BMonthBegin.nanos` |
`BMonthBegin.normalize` |
`BMonthBegin.rule_code` |

### Methods

`BMonthBegin.apply`(other) |
`BMonthBegin.apply_index` |
`BMonthBegin.copy` |
`BMonthBegin.isAnchored`() |
`BMonthBegin.onOffset`(dt) |
`BMonthBegin.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`BMonthBegin.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

## CBMonthEnd

`CBMonthEnd` | alias of `pandas.tseries.offsets.CustomBusinessMonthEnd`

### Properties

`CBMonthEnd.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`CBMonthEnd.cbday_roll` | Define default roll function to be called in apply method.
`CBMonthEnd.freqstr` |
`CBMonthEnd.kwds` |
`CBMonthEnd.m_offset` |
`CBMonthEnd.month_roll` | Define default roll function to be called in apply method.
`CBMonthEnd.name` |
`CBMonthEnd.nanos` |
`CBMonthEnd.normalize` |
`CBMonthEnd.offset` | Alias for self._offset.
`CBMonthEnd.rule_code` |

### Methods

`CBMonthEnd.apply`(other) |
`CBMonthEnd.apply_index` | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
`CBMonthEnd.copy` |
`CBMonthEnd.isAnchored`() |
`CBMonthEnd.onOffset`(dt) |
`CBMonthEnd.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`CBMonthEnd.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

## CBMonthBegin

`CBMonthBegin` | alias of `pandas.tseries.offsets.CustomBusinessMonthBegin`

### Properties

`CBMonthBegin.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`CBMonthBegin.cbday_roll` | Define default roll function to be called in apply method.
`CBMonthBegin.freqstr` |
`CBMonthBegin.kwds` |
`CBMonthBegin.m_offset` |
`CBMonthBegin.month_roll` | Define default roll function to be called in apply method.
`CBMonthBegin.name` |
`CBMonthBegin.nanos` |
`CBMonthBegin.normalize` |
`CBMonthBegin.offset` | Alias for self._offset.
`CBMonthBegin.rule_code` |

### Methods

`CBMonthBegin.apply`(other) |
`CBMonthBegin.apply_index` | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
`CBMonthBegin.copy` |
`CBMonthBegin.isAnchored`() |
`CBMonthBegin.onOffset`(dt) |
`CBMonthBegin.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`CBMonthBegin.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

## CDay

`CDay` | alias of `pandas.tseries.offsets.CustomBusinessDay`

### Properties

`CDay.base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
`CDay.freqstr` |
`CDay.kwds` |
`CDay.name` |
`CDay.nanos` |
`CDay.normalize` |
`CDay.offset` | Alias for self._offset.
`CDay.rule_code` |

### Methods

`CDay.apply`(other) |
`CDay.apply_index`(i) | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
`CDay.copy` |
`CDay.isAnchored`() |
`CDay.onOffset`(dt) |
`CDay.rollback`(dt) | Roll provided date backward to next offset only if not on offset.
`CDay.rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

# Frequencies

`to_offset`(freq) | Return DateOffset object from string or tuple representation or datetime.timedelta object

Scroll To Top